subroutine True(t, x_True)                  !  True solution x(t)
use work

REAL(8) t, x_True(n), omega
!    True = (x_0*cos(omega*t); -x1_0*omega*sin(omega*t))

omega =param%k1

x_True(1) =x0(1)*dcos(omega*t) +(x0(2)/omega)*dsin(omega*t)
x_True(2) =-omega*x0(1)*dsin(omega*t) + x0(2)*dcos(omega*t)

END subroutine True
